#ifndef _TESTSDAG_H
#define _TESTSDAG_H

#include "sdag.h"
#include "testsdag.decl.h"

class Testsdag : public Chare
{
#include "testsdag.sdag.h"
  public:
    int i;
    Testsdag(Msg *msg) {
      __sdag_init();
    }
};

#endif
